(function() {
	var myParam = {
		domain: "http://xxtbapp.3jidi.com",
		// domain: 'http://192.168.0.102:8081',
		// domain: 'http://192.168.0.176:8085',//教研内网ip
		phone_version: 0,
		apkType: "xx_zw", // 包类型不可变
		myName: "少儿国学写作范文大全",
		// 苹果渠道
		// channelType: 'phone_ios_zw'

		// 安卓渠道
		//channelType: '3jidi_phone_huawei_1'  // 华为
		//channelType: '3jidi_phone_YingYBao_1'// 应用宝
		//channelType: '3jidi_phone_xiaomi_1'  // 小米
		//channelType: '3jidi_phone_360_1'        // 360
		//channelType: '3jidi_phone_baidu_1'   // 百度
		channelType: "3jidi_phone_UC_1" // UC
		//channelType: '3jidi_phone_meizu_1'   // 魅族
		//channelType: '3jidi_phone_samsung_1' // 三星
		// channelType: '3jidi_phone_smartisan_1' // 锤子
		// channelType: '3jidi_phone_lenovo_1'  // 联想
	};

	var count = 0;
	// ajax 方法
	function request(params) {
		// console.log('params---'+JSON.stringify(params));
		count++;
		if (count === 1) {
			api.showProgress();
		}
		return new Promise(function(resolve, reject) {
			//console.log(myParam.domain + params.url);
			api.ajax(
				{
					url: myParam.domain + params.url,
					method: "post",
					cache: false,
					timeout: 3000,
					dataType: "json",
					headers: params.header || {},
					data: {
						values: params.values ? params.values : {},
						files: {
							file: params.file
						}
					},

					returnAll: false
				},
				function(ret, err) {
					// console.log('callback------'+JSON.stringify(ret));
					if (ret) resolve(ret);
					else reject(err);
					count--;
					if (count == 0) {
						api.hideProgress();
					}
				}
			);
		});
	}

	var Booklist = /*@__PURE__*/ (function(Component) {
		function Booklist(props) {
			Component.call(this, props);
			this.data = {
				booklist: [],
				curSystem: ""
			};
		}

		if (Component) Booklist.__proto__ = Component;
		Booklist.prototype = Object.create(Component && Component.prototype);
		Booklist.prototype.constructor = Booklist;
		Booklist.prototype.apiready = function() {
			this.data.curSystem = api.systemType;
			this.getBookList();
		};
		Booklist.prototype.getBookList = function() {
			var this$1 = this;

			request({
				url: "/config/getMzjx",
				values: {
					type: 1
				}
			}).then(function(res) {
				// console.log(JSON.stringify(res));
				var list = res.data;
				list.push({
					cover_pic: "../../image/booklist/jqgz.png",
					id: "forward"
				});

				var arr = [];
				for (var i = 0; i < list.length; i++) {
					arr.push(list[i]);
					if ((i + 1) % 3 == 0 && this$1.data.curSystem === "ios") {
						arr.push({
							cover_pic: "../../image/booklist/booklistBottom.png"
						});
					}
				}
				if (list.length % 3 != 0 && this$1.data.curSystem === "ios") {
					arr.push(
						{
							cover_pic: "",
							id: "forward"
						},
						{
							cover_pic: "../../image/booklist/booklistBottom.png"
						}
					);
				}
				this$1.data.booklist = arr;
				var gridView = document.getElementById("gridView");
				gridView.load({
					data: arr
				});
			});
		};
		Booklist.prototype.toBookDetail = function(item) {
			if (!item.id || item.id === "forward") {
				return;
			}
			api.openWin({
				name: "bookDetial",
				url: "../bookDetail/bookDetail.stml",
				pageParam: item
			});
		};
		Booklist.prototype.closeWin = function() {
			api.closeWin();
		};
		Booklist.prototype.render = function() {
			var this$1 = this;
			return apivm.h(
				"view",
				{class: "book_list_wrap"},
				apivm.h("image", {
					thumbnail: "false",
					src:
						"https://3jidi-1251017968.cos.ap-guangzhou.myqcloud.com/upload/pics/ott_3jd_v2/grade/xx_zw/mzBg.png",
					class: "bg",
					onClick: function() {
						return this$1.api.closeWin();
					}
				}),
				apivm.h(
					"view",
					{class: "header"},
					apivm.h(
						"view",
						{class: "back", onClick: this.closeWin},
						apivm.h("image", {
							mode: "widthFix",
							src: "../../image/booklist/backTo.png"
						})
					),
					apivm.h("text", {class: "header_title"}, "名著精选"),
					apivm.h("label", {for: ""})
				),
				this.data.curSystem === "ios"
					? apivm.h(
							"scroll-view",
							{class: "list"},
							(Array.isArray(this.data.booklist)
								? this.data.booklist
								: Object.values(this.data.booklist)
							).map(function(item$1) {
								return apivm.h(
									"view",
									{
										class: "item",
										style: "width:" + (!item$1.id ? "100%" : "27.5%"),
										onClick: function() {
											return this$1.toBookDetail(item$1);
										}
									},
									item$1.cover_pic
										? apivm.h("image", {thumbnail: "false", src: item$1.cover_pic})
										: null
								);
							})
					  )
					: this.data.curSystem === "android"
					? apivm.h("grid-view", {
							id: "gridView",
							class: "list",
							"column-count": "3",
							"scroll-y": true,
							"aspect-ratio": "1",
							$bindCell_: function(celltype, item, index) {
								return apivm.h(
									"cell",
									{
										class: "item",
										onClick: function() {
											return this$1.toBookDetail(item);
										}
									},
									apivm.h("image", {src: item.cover_pic})
								);
							}
					  })
					: null
			);
		};

		return Booklist;
	})(Component);
	Booklist.css = {
		".book_list_wrap": {height: "100%", position: "relative"},
		".bg": {
			width: "100%",
			height: "100%",
			position: "absolute",
			top: "0",
			left: "0",
			zIndex: "-1"
		},
		".header": {
			width: "100%",
			height: "10%",
			padding: "0 3%",
			boxSizing: "border-box",
			flexDirection: "row",
			alignItems: "center",
			justifyContent: "space-between"
		},
		".back,label": {width: "35px"},
		".header_title": {fontSize: "24px", color: "#fff", fontWeight: "700"},
		".list": {
			width: "90%",
			height: "88%",
			position: "absolute",
			top: "12%",
			left: "5%",
			flexDirection: "row",
			flexWrap: "wrap",
			justifyContent: "space-between"
		},
		".item": {width: "27.5%", alignItems: "center"}
	};
	apivm.define("booklist", Booklist);
	apivm.render(apivm.h("booklist", null), "body");
})();
