(function() {
	function ownKeys(object, enumerableOnly) {
		var keys = Object.keys(object);

		if (Object.getOwnPropertySymbols) {
			var symbols = Object.getOwnPropertySymbols(object);

			if (enumerableOnly) {
				symbols = symbols.filter(function(sym) {
					return Object.getOwnPropertyDescriptor(object, sym).enumerable;
				});
			}

			keys.push.apply(keys, symbols);
		}

		return keys;
	}

	function _objectSpread2(target) {
		for (var i = 1; i < arguments.length; i++) {
			var source = arguments[i] != null ? arguments[i] : {};

			if (i % 2) {
				ownKeys(Object(source), true).forEach(function(key) {
					_defineProperty(target, key, source[key]);
				});
			} else if (Object.getOwnPropertyDescriptors) {
				Object.defineProperties(target, Object.getOwnPropertyDescriptors(source));
			} else {
				ownKeys(Object(source)).forEach(function(key) {
					Object.defineProperty(
						target,
						key,
						Object.getOwnPropertyDescriptor(source, key)
					);
				});
			}
		}

		return target;
	}

	function _defineProperty(obj, key, value) {
		if (key in obj) {
			Object.defineProperty(obj, key, {
				value: value,
				enumerable: true,
				configurable: true,
				writable: true
			});
		} else {
			obj[key] = value;
		}

		return obj;
	}

	var myParam = {
		domain: "http://xxtbapp.3jidi.com",
		// domain: 'http://192.168.0.102:8081',
		// domain: 'http://192.168.0.176:8085',//教研内网ip
		phone_version: 0,
		apkType: "xx_zw", // 包类型不可变
		myName: "少儿国学写作范文大全",
		// 苹果渠道
		// channelType: 'phone_ios_zw'

		// 安卓渠道
		//channelType: '3jidi_phone_huawei_1'  // 华为
		//channelType: '3jidi_phone_YingYBao_1'// 应用宝
		//channelType: '3jidi_phone_xiaomi_1'  // 小米
		//channelType: '3jidi_phone_360_1'        // 360
		//channelType: '3jidi_phone_baidu_1'   // 百度
		channelType: "3jidi_phone_UC_1" // UC
		//channelType: '3jidi_phone_meizu_1'   // 魅族
		//channelType: '3jidi_phone_samsung_1' // 三星
		// channelType: '3jidi_phone_smartisan_1' // 锤子
		// channelType: '3jidi_phone_lenovo_1'  // 联想
	};

	var count = 0;
	// ajax 方法
	function request(params) {
		// console.log('params---'+JSON.stringify(params));
		count++;
		if (count === 1) {
			api.showProgress();
		}
		return new Promise(function(resolve, reject) {
			//console.log(myParam.domain + params.url);
			api.ajax(
				{
					url: myParam.domain + params.url,
					method: "post",
					cache: false,
					timeout: 3000,
					dataType: "json",
					headers: params.header || {},
					data: {
						values: params.values ? params.values : {},
						files: {
							file: params.file
						}
					},

					returnAll: false
				},
				function(ret, err) {
					// console.log('callback------'+JSON.stringify(ret));
					if (ret) resolve(ret);
					else reject(err);
					count--;
					if (count == 0) {
						api.hideProgress();
					}
				}
			);
		});
	}

	function getDeviceId() {
		return localStorage.getItem("temporaryUid") || api.deviceId;
	}

	// 应用内登录
	function authV2(argFromAuth) {
		if (argFromAuth === void 0) {
			argFromAuth = "";
		}
		opendb_common();
		var deviceMessage =
			api.systemType.toUpperCase() +
			"_" +
			api.systemVersion +
			"_" +
			api.deviceModel +
			"_" +
			api.appVersion;
		request({
			url:
				"/auth/v2/" +
				getDeviceId() +
				"/" +
				myParam.channelType +
				"/" +
				myParam.apkType,
			values: {
				deviceName: api.uiMode.toUpperCase(),
				user_token: "",
				deviceMessage: deviceMessage
			}
		})
			.then(function(res) {
				// console.log(''+api.uiMode+'-------'+JSON.stringify(res));
				api.setGlobalData({
					key: "uCode",
					value: res.uCode
				});

				if (!argFromAuth) {
					return new Promise(function() {});
				}
			})
			.then(function() {
				isAuth(argFromAuth);
			});
	}

	// 鉴权
	function isAuth(params) {
		return request({
			url: "/user/video/v2/isplay",
			values: _objectSpread2(
				{
					apkType: myParam.apkType,
					channelType: myParam.channelType,
					uniqueStr: api.deviceModel,
					deviceName: api.uiMode.toUpperCase(),
					gradeid: "6802616b-e421-4c05-a5d8-f6cd5edf7272"
				},
				params
			)
		}).then(function(res) {
			// console.log(JSON.stringify(res));
			if (res) {
				if (res.unlogined == 1) {
					authV2(params);
					return new Promise(function() {});
				}
				return res.result;
			}
		});
	}

	//创建本地数据库
	function opendb_common() {
		var db = api.require("db");
		db.openDatabase(
			{
				name: "pyLogDB",
				path: "fs://downloadlist.db"
			},
			function(ret, err) {
				if (ret.status) {
					createPyLog();
					// createQmcs();
					// console.log(JSON.stringify(ret)+'--opendb_common');
				}
			}
		);
	}

	//创建本地支付日志表
	function createPyLog() {
		var db = api.require("db");
		var sql_1 =
			"CREATE TABLE if not exists pyLog(id INTEGER PRIMARY KEY AUTOINCREMENT, transactionId varchar(255), receipt TexT, uCode varchar(255),orderId varchar(255),state INTEGER,createdtime datetime,reserve_1 varchar(255),reserve_2 varchar(255),reserve_3 datetime)";
		db.executeSql(
			{
				name: "pyLogDB",
				sql: sql_1
			},
			function(ret, err) {
				if (ret.status) {
					// console.log(JSON.stringify(ret)+'--createPyLog');
					checkDBOrder();
				}
			}
		);
	}

	//掉单处理
	function checkDBOrder() {
		var db = api.require("db");
		db.selectSql(
			{
				name: "pyLogDB",
				sql: "SELECT * FROM pyLog where state=0"
			},
			function(ret, err) {
				if (ret.status) {
					var _loop = function _loop() {
						var orderId = ret.data[i].orderId;
						var transactionId = ret.data[i].transactionId;
						var receipt = ret.data[i].receipt;
						var id = ret.data[i].id;
						request({
							url: "/app/user/order/findOrderstate",
							values: {
								orderid: orderId,
								trade_number_id: transactionId,
								apk_type: myParam.apkType,
								receipt: receipt,
								channelType: myParam.channelType
							}
						}).then(function(res) {
							updateDBPylog(id);
						});
					}; //	        alert(JSON.stringify(ret)+'----checkDBOrder');
					for (var i = 0; i < ret.data.length; i++) {
						_loop();
					}
				}
			}
		);
	}

	//更新本地支付日志支付状态
	function updateDBPylog(id) {
		var db = api.require("db");
		var sql = "update pyLog set state=1 where id=" + id;
		db.executeSql(
			{
				name: "pyLogDB",
				sql: sql
			},
			function(ret, err) {
				if (ret.status);
			}
		);
	}

	global.clipBoard = api.require("clipBoard");
	global.audioStreamer = api.require("audioStreamer");
	var Tpl = /*@__PURE__*/ (function(Component) {
		function Tpl(props) {
			Component.call(this, props);
			this.data = {
				backgroundUrl:
					"https://3jidi-1251017968.cos.ap-guangzhou.myqcloud.com/upload/pics/ott_3jd_v2/grade/xx_zw/index_3.png",
				bgHeight: 0,
				// 导航数据
				navList: [],
				// 导航的entityId
				entityId: "0",
				categorykind: "3JD_MFZW_G3_HOME_HEAD_MENU",
				// 部编区域数据
				bodyData: [],
				// 打开的状态
				listShowType: "pic",
				// 範文列表
				modelTextList: [],
				item_id: "",
				// 音频状态
				audioState: "",
				// 音频地址
				audioPath: "",
				// 名言
				wellKnown: {},
				// 名著
				bookList: [],
				curSystem: ""
			};
		}

		if (Component) Tpl.__proto__ = Component;
		Tpl.prototype = Object.create(Component && Component.prototype);
		Tpl.prototype.constructor = Tpl;
		Tpl.prototype.apiready = function() {
			var this$1 = this;
			this.data.curSystem = api.systemType;
			authV2(); // 获取导航栏
			this.getNavList("3JD_MFZW_G3_HOME_HEAD_MENU", "grade");
			api.openWin({name: "index", url: "../index/index.stml"}); // 监听年级页面发送的参数
			api.addEventListener({name: "refreshIndex"}, function(ret) {
				// console.log(JSON.stringify(ret));
				var categorykind = ret.value.categorykind || this$1.data.categorykind;
				var idx = categorykind.slice(10, 11);
				this$1.data.backgroundUrl =
					"https://3jidi-1251017968.cos.ap-guangzhou.myqcloud.com/upload/pics/ott_3jd_v2/grade/xx_zw/index_" +
					idx +
					".png";
				this$1.getNavList(categorykind, ret.value.entityId); // 重新加载页面
			});
			api.addEventListener({name: "toIndex"}, function(ret) {
				api.setTabBarAttr({index: 0});
			}); // 监听音频状态
			audioStreamer.addEventListener({}, function(ret) {
				// console.log(JSON.stringify(ret));
				this$1.data.audioState = ret.state;
			}); // 监听tabBar
			api.addEventListener({name: "tabframe"}, function(ret, err) {
				// console.log('当前显示frame：'+JSON.stringify(ret));
				if (
					ret.name !== "home" &&
					(this$1.data.audioState === "buffering" ||
						this$1.data.audioState === "prepare" ||
						this$1.data.audioState === "resume")
				) {
					// 当当前窗口不是“首页”时，
					audioStreamer.pause();
				}
			});
			api.addEventListener({name: "keyback"}, this.android_keyback());
		};
		Tpl.prototype.android_keyback = function() {
			var n = 0;
			return function() {
				n++;
				setTimeout(function() {
					n = 0;
				}, 3000);
				if (n == 1) {
					api.toast({
						msg: "再按一次退出哦",
						duraion: 3000,
						global: true,
						location: "middle"
					});
				} else if (n == 2) {
					api.closeWidget({
						id: "A6192784574127",
						retData: {
							name: "closeWidget"
						},

						silent: true,
						animation: {
							type: "flip",
							subType: "from_bottom",
							duration: 500
						}
					});
				}
			};
		};
		Tpl.prototype.openIndex = function() {
			api.openWin({
				name: "index",
				url: "../index/index.stml"
			});
		};
		Tpl.prototype.getNavList = function(head_menu, entityId) {
			var this$1 = this;

			this.data.categorykind = head_menu;
			request({
				url: "/config/" + head_menu + "/" + myParam.apkType,
				values: {
					phone_version: myParam.phone_version
				}
			}).then(function(res) {
				// console.log(JSON.stringify(res));
				if (entityId === "grade") {
					// 从年级传过来的
					res.forEach(function(v, i) {
						v.sel = i === 0 ? true : false;
					});
					this$1.data.navList = res;
					this$1.handleNav(0, res[0].entityId);
				} else if (!entityId) {
					this$1.handleNav(2, res[2].entityId);
				} else {
					// 从index页传过来的
					var num = 0;
					res.forEach(function(v, i) {
						if (v.entityId === entityId) {
							v.sel = true;
							num = i;
						} else {
							v.sel = false;
						}
					});
					this$1.data.navList = res;
					this$1.handleNav(num, entityId);
				}
			});
		};
		Tpl.prototype.handleNav = function(idx, entityId) {
			if (entityId === void 0) entityId = "";

			if (entityId === this.data.entityId) {
				// 如果点击相同的导航按钮，则不执行任何操作
				return;
			}
			if (
				this.data.audioState === "buffering" ||
				this.data.audioState === "prepare" ||
				this.data.audioState === "resume"
			) {
				audioStreamer.pause();
			}
			this.data.entityId = entityId;
			this.data.navList.forEach(function(v, i) {
				v.sel = i === parseInt(idx) ? true : false;
			});
			if (entityId) {
				this.getBodyData(entityId);
			} else {
				this.getWellKnown();
				this.getmzjx();
			}
		};
		Tpl.prototype.getBodyData = function(entityId) {
			var this$1 = this;

			request({
				url: "/topics/course/" + entityId + "/1",
				values: {
					pageSize: 100
				}
			}).then(function(res) {
				// console.log(JSON.stringify(res));
				var arr = [];
				res.result.forEach(function(v, i) {
					var obj = {
						kindname: v.coursekind.kindname,
						pictureHd: v.pictureHd,
						title1: v.title.split(" ")[0],
						title2: v.title.split(" ")[1],
						sourceid: v.sourceid,
						item_id: v.item_id,
						is_free: v.is_free,
						id: v.id,
						isSel: false
					};

					arr.push(obj);
				});
				this$1.data.bodyData = arr;
			});
		};
		Tpl.prototype.toggleFn = function(idx, type) {
			var ref = this.data;
			var bodyData = ref.bodyData;
			for (var i = 0; i < bodyData.length; i++) {
				if (i === parseInt(idx)) {
					if (this.data.listShowType != type) {
						this.data.listShowType = type;
						this.data.bodyData[i].isSel = true;
					} else {
						this.data.bodyData[i].isSel = !this.data.bodyData[i].isSel;
					}
				} else {
					bodyData[i].isSel = false;
				}
			}
		};
		Tpl.prototype.showCardPic = function(idx, pictureHd) {
			if (!pictureHd) {
				return api.toast({
					msg: "暂无数据，敬请期待",
					location: "middle"
				});
			}
			this.toggleFn(idx, "pic");
			// 关掉语音播放
			if (
				this.data.audioState === "buffering" ||
				this.data.audioState === "prepare" ||
				this.data.audioState === "resume"
			) {
				audioStreamer.pause();
			}
		};
		Tpl.prototype.toPlay = function(listid, videoid, playindex, is_free) {
			var this$1 = this;

			if (!videoid) {
				return;
			}
			if (
				this.data.audioState === "buffering" ||
				this.data.audioState === "prepare" ||
				this.data.audioState === "resume"
			) {
				audioStreamer.pause();
			}
			if (is_free == 0 || is_free == "0") {
				var ref = this.data;
				var entityId = ref.entityId;
				return api.openWin({
					name: "playWin",
					url: "../playWin/playWin.stml",
					pageParam: {
						listid: listid,
						videoid: videoid,
						playindex: playindex,
						entityId: entityId
					}
				});
			}
			// 鉴权
			isAuth().then(function(res) {
				// console.log(JSON.stringify(res));
				if (res) {
					var ref = this$1.data;
					var entityId = ref.entityId;
					api.openWin({
						name: "playWin",
						url: "../playWin/playWin.stml",
						pageParam: {
							listid: listid,
							videoid: videoid,
							playindex: playindex,
							entityId: entityId
						}
					});
				} else {
					api.openWin({
						name: "payWin",
						// url:'../order/order.stml'
						url: "../order/android_order.stml"
					});
				}
			});
		};
		Tpl.prototype.getModelText = function(idx, item_id) {
			var this$1 = this;

			this.toggleFn(idx, "list");
			if (
				this.data.audioState === "buffering" ||
				this.data.audioState === "prepare" ||
				this.data.audioState === "resume"
			) {
				audioStreamer.pause();
			}
			if (item_id === this.data.item_id) {
				return;
			}
			this.data.item_id = item_id;
			this.data.modelTextList = [];
			request({
				url: "/exam/getqQuestion/" + item_id
			}).then(function(res) {
				// console.log(JSON.stringify(res));
				if (res.code === "0001") {
					return api.toast({
						msg: "暂无数据，敬请期待",
						location: "middle"
					});
				}
				res.data.forEach(function(v) {
					v.active = false;
				});
				this$1.data.modelTextList = res.data;
			});
		};
		Tpl.prototype.handleModel = function(idx) {
			this.data.modelTextList.forEach(function(v, i) {
				v.active = i === parseInt(idx) ? true : false;
			});
		};
		Tpl.prototype.copyArt = function(content) {
			clipBoard.set(
				{
					value: content
				},
				function(ret, err) {
					if (ret) {
						api.toast({msg: "已成功复制到粘贴板"});
					}
				}
			);
		};
		Tpl.prototype.readIt = function(url) {
			if (this.data.audioPath === url) {
				if (
					this.data.audioState === "buffering" ||
					this.data.audioState === "prepare" ||
					this.data.audioState === "resume"
				) {
					// 音频正在缓存
					return audioStreamer.pause();
				} else if (this.data.audioState === "pause") {
					// 音频暂停
					return api.systemType === "ios"
						? audioStreamer.resume()
						: audioStreamer.openPlayer({path: this.data.audioPath});
				}
			} else {
				this.data.audioPath = url;
				audioStreamer.openPlayer({path: url});
			}
		};
		Tpl.prototype.getWellKnown = function() {
			var this$1 = this;

			request({
				url: "/config/getRandomSentence"
			}).then(function(res) {
				// console.log(JSON.stringify(res));
				this$1.data.wellKnown = res.data[0];
			});
		};
		Tpl.prototype.getmzjx = function() {
			var this$1 = this;

			request({
				url: "/config/getMzjx",
				values: {
					type: 1
				}
			}).then(function(res) {
				// console.log(JSON.stringify(res));
				var list = res.data.filter(function(v, i) {
					if (i < 6) {
						return v;
					}
				});
				this$1.data.bookList = list;
				var gridView = document.getElementById("gridView");
				gridView.load({
					data: list
				});
			});
		};
		Tpl.prototype.toBooklist = function() {
			api.openWin({
				name: "booklist",
				url: "../booklist/booklist.stml"
			});
		};
		Tpl.prototype.toBookDetail = function(i) {
			var pageParam = this.data.bookList[i];
			api.openWin({
				name: "bookDetial",
				url: "../bookDetail/bookDetail.stml",
				pageParam: pageParam
			});
		};
		Tpl.prototype.toPns = function(idx) {
			var url = "https://xiaochengxu.3jidi.com/html/agreement/phone/fwxy.html";
			if (idx == 1 || idx == "1") {
				if (api.systemType === "ios") {
					url =
						"https://xiaochengxu.3jidi.com/html/agreement/phone/privacyIOS.html?app=" +
						encodeURI(api.appName);
				} else {
					url =
						"https://xiaochengxu.3jidi.com/html/agreement/phone/privacy.html?app=" +
						encodeURI(myParam.myName);
				}
			}
			api.openWin({
				name: "pns",
				url: url
			});
		};
		Tpl.prototype.render = function() {
			var this$1 = this;
			return apivm.h(
				"safe-area",
				{class: "page"},

				apivm.h("image", {
					class: "open",
					mode: "widthFix",
					src: "../../image/booklist/backTo.png",
					onClick: this.openIndex
				}),
				apivm.h(
					"view",
					{class: "bgBox"},
					apivm.h("image", {
						class: "bg",
						thumbnail: "false",
						src: this.data.backgroundUrl,
						mode: "aspectFill"
					}),
					apivm.h(
						"view",
						{class: "pns_wrap"},
						apivm.h("image", {
							mode: "aspectFill",
							src: "../../image/home/reg.png",
							onClick: function() {
								return this$1.toPns(0);
							}
						}),
						apivm.h("image", {
							mode: "aspectFill",
							src: "../../image/home/pri.png",
							onClick: function() {
								return this$1.toPns(1);
							}
						})
					),

					apivm.h(
						"view",
						{class: "navList"},
						(Array.isArray(this.data.navList)
							? this.data.navList
							: Object.values(this.data.navList)
						).map(function(navItem, navIdx) {
							return apivm.h(
								"view",
								{
									class: "navList_item",
									onClick: function() {
										return this$1.handleNav(navIdx, navItem.entityId);
									}
								},
								apivm.h("image", {
									class: "navList_item_pic",
									src: navItem.sel ? navItem.btn_focused : navItem.btn_default
								})
							);
						})
					)
				),

				apivm.h(
					"scroll-view",
					{class: "content", style: {display: this.data.entityId ? "flex" : "none"}},

					(Array.isArray(this.data.bodyData)
						? this.data.bodyData
						: Object.values(this.data.bodyData)
					).map(function(item$1, idx) {
						return apivm.h(
							"view",
							{class: "card_wrap"},
							apivm.h(
								"view",
								{
									class: "card",
									onClick: function() {
										return this$1.showCardPic(idx, item$1.pictureHd);
									}
								},
								apivm.h(
									"view",
									{class: "card_word"},
									apivm.h(
										"view",
										{class: "text"},
										apivm.h("text", {class: "unit"}, item$1.kindname),
										apivm.h("text", {class: "title1"}, item$1.title1)
									),
									apivm.h(
										"view",
										{class: "intr"},
										apivm.h("image", {
											class: "intr_pic",
											src: "../../image/home/1.png",
											mode: "aspectFit"
										}),
										apivm.h("text", {class: "title2"}, item$1.title2)
									)
								),
								apivm.h(
									"view",
									{class: "btns"},

									apivm.h(
										"view",
										{
											class: "btn",
											onClick: function() {
												return this$1.toPlay(
													item$1.id,
													item$1.sourceid,
													idx,
													item$1.is_free
												);
											},
											style: "opacity:" + (item$1.sourceid ? 1 : 0)
										},
										apivm.h("image", {
											class: "btn_pic",
											mode: "aspectFit",
											src:
												"../../image/home/" +
												(item$1.is_free == 0 ? "freePlay" : "explain") +
												".png"
										})
									),

									apivm.h(
										"view",
										{
											class: "btn",
											onClick: function() {
												return this$1.getModelText(idx, item$1.item_id);
											}
										},
										apivm.h("image", {
											class: "btn_pic",
											mode: "aspectFit",
											src:
												"../../image/home/" +
												(this$1.data.listShowType == "list" && item$1.isSel
													? "modelText_press"
													: "modelText") +
												".png"
										})
									),

									apivm.h("image", {
										class: "arrow",
										src:
											"../../image/home/arrow" + (item$1.isSel ? "Open" : "Close") + ".png"
									})
								)
							),
							apivm.h(
								"view",
								{
									class: "bottom_wrap",
									style: {display: item$1.isSel ? "flex" : "none"}
								},

								apivm.h(
									"view",
									{
										class: "bottom_pic",
										style: {display: this$1.data.listShowType === "pic" ? "flex" : "none"}
									},
									apivm.h("image", {
										mode: "aspectfit",
										thumbnail: "false",
										src: item$1.pictureHd
									})
								),

								apivm.h(
									"view",
									{
										class: "bottom_list",
										style: {
											display: this$1.data.listShowType === "list" ? "flex" : "none"
										}
									},

									(Array.isArray(this$1.data.modelTextList)
										? this$1.data.modelTextList
										: Object.values(this$1.data.modelTextList)
									).map(function(fw, fwIdx) {
										return apivm.h(
											"view",
											{
												class: "fw_item_wrap",
												style: {
													display: this$1.data.modelTextList.length > 0 ? "flex" : "none"
												},
												onClick: function() {
													return this$1.handleModel(fwIdx);
												}
											},
											apivm.h("image", {
												class: "fwBg",
												mode: "widthFix",
												src:
													"../../image/home/" + (fw.active ? "fanwenBg" : "fwbg") + ".png"
											}),
											apivm.h(
												"view",
												{class: "des_wrap", style: {display: !fw.active ? "flex" : "none"}},
												apivm.h("text", {class: "fw_title"}, fw.title),
												apivm.h("text", {class: "fw_des"}, fw.describes)
											),
											apivm.h(
												"scroll-view",
												{
													class: "articel_wrap",
													bounces: "false",
													style: {display: fw.active ? "flex" : "none"}
												},
												apivm.h("rich-text", {nodes: fw.content})
											),
											apivm.h(
												"view",
												{
													class: "articel_btns",
													style: {display: fw.active ? "flex" : "none"}
												},
												apivm.h(
													"view",
													{
														class: "articel_btn",
														onClick: function() {
															return this$1.copyArt(fw.content_tv);
														}
													},
													apivm.h("image", {
														mode: "aspectFit",
														src: "../../image/home/copyBtn.png",
														alt: ""
													})
												),
												apivm.h(
													"view",
													{
														class: "articel_btn",
														onClick: function() {
															return this$1.readIt(fw.content_audio);
														}
													},
													apivm.h("image", {
														mode: "aspectFit",
														src: "../../image/home/readBtn.png",
														alt: ""
													})
												)
											)
										);
									})
								)
							)
						);
					})
				),
				apivm.h(
					"view",
					{
						class: "famous_wrap",
						style: {display: !this.data.entityId ? "flex" : "none"}
					},

					apivm.h(
						"view",
						{class: "wellKnown"},
						apivm.h("image", {
							mode: "aspectfill",
							src: "../../image/home/recommend_db.png"
						}),
						apivm.h(
							"view",
							{class: "wellknonw_text"},
							apivm.h(
								"scroll-view",
								{class: "wk_content"},
								apivm.h("text", {class: "wk_content_text"}, this.data.wellKnown.content)
							),
							apivm.h(
								"text",
								{class: "wk_bookName"},
								"———",
								this.data.wellKnown.book_name
							)
						)
					),

					apivm.h(
						"view",
						{class: "famous_book_wrap"},
						apivm.h("image", {
							mode: "scaleToFill",
							src: "../../image/home/recommend_sbdb.png"
						}),
						apivm.h(
							"view",
							{class: "btn_more"},
							apivm.h("label", null),
							apivm.h("image", {
								mode: "aspectFill",
								src: "../../image/home/more.png",
								onClick: this.toBooklist
							})
						),
						this.data.curSystem === "ios"
							? apivm.h(
									"scroll-view",
									{class: "book_wrap"},
									(Array.isArray(this.data.bookList)
										? this.data.bookList
										: Object.values(this.data.bookList)
									).map(function(book, bookIdx) {
										return apivm.h(
											"view",
											{
												class: "book",
												onClick: function() {
													return this$1.toBookDetail(bookIdx);
												}
											},
											apivm.h("image", {src: book.cover_pic})
										);
									})
							  )
							: this.data.curSystem === "android"
							? apivm.h("grid-view", {
									id: "gridView",
									class: "book_wrap",
									"column-count": "3",
									"scroll-y": true,
									"aspect-ratio": "1",
									$bindCell_: function(celltype, item, index) {
										return apivm.h(
											"cell",
											{
												class: "book",
												onClick: function() {
													return this$1.toBookDetail(index);
												}
											},
											apivm.h("image", {src: item.cover_pic})
										);
									}
							  })
							: null
					)
				)
			);
		};

		return Tpl;
	})(Component);
	Tpl.css = {
		".page": {
			height: "100%",
			justifyContent: "flex-start",
			alignItems: "center",
			position: "relative"
		},
		".bgBox": {width: "100%", height: "auto", position: "relative"},
		".pns_wrap": {
			width: "50%",
			height: "16px",
			position: "absolute",
			top: "50%",
			right: "6%",
			transform: "translateY(-10%)",
			zIndex: "2",
			flexDirection: "row",
			justifyContent: "space-around"
		},
		".bg": {width: "100%", flexShrink: "0"},
		".open": {
			width: "40px",
			position: "absolute",
			top: "3%",
			left: "3%",
			zIndex: "2"
		},
		".navList": {
			width: "100%",
			flexDirection: "row",
			justifyContent: "space-around",
			position: "absolute",
			left: "0",
			bottom: "0",
			zIndex: "2"
		},
		".content": {
			backgroundColor: "#f5ebe1",
			width: "100%",
			height: "100%",
			paddingTop: "10px",
			alignItems: "center"
		},
		".card_wrap": {
			width: "100%",
			position: "relative",
			flexShrink: "0",
			marginBottom: "15px"
		},
		".card": {
			backgroundColor: "#fff",
			width: "100%",
			flexDirection: "row",
			padding: "0 2.5%",
			boxSizing: "border-box"
		},
		".card_word": {flex: "1"},
		".text": {flexDirection: "row", alignItems: "center"},
		".unit": {color: "#eab79e", margin: "10px 0 5px"},
		".title1": {color: "#d46b36", marginLeft: "10px"},
		".intr": {
			height: "24px",
			flexDirection: "row",
			alignItems: "center",
			margin: "5px 0 10px"
		},
		".intr_pic": {width: "auto", height: "100%", marginRight: "8px"},
		".title2": {overflow: "hidden", textOverflow: "ellipsis"},
		".btns": {
			flex: "1",
			flexDirection: "row",
			alignItems: "center",
			justifyContent: "space-around"
		},
		".btn": {height: "28px"},
		".btn_pic": {height: "100%"},
		".arrow": {height: "12px"},
		".bottom_wrap": {alignItems: "center", paddingTop: "8px"},
		".bottom_pic": {
			width: "95%",
			borderRadius: "8px",
			border: "2px solid #41d483",
			overflow: "hidden",
			boxSizing: "border-box"
		},
		".bottom_list": {width: "100%", alignItems: "center"},
		".fw_item_wrap": {
			width: "95%",
			position: "relative",
			justifyContent: "center",
			alignItems: "center"
		},
		".des_wrap": {
			width: "80%",
			height: "80%",
			position: "absolute",
			top: "50%",
			left: "50%",
			transform: "translate(-50%, -50%)",
			lineHeight: "26px",
			textAlign: "center"
		},
		".fw_title": {
			width: "100%",
			fontSize: "18px",
			fontWeight: "700",
			overflow: "hidden",
			textOverflow: "ellipsis",
			flexShrink: "0",
			textAlign: "center"
		},
		".fw_des": {
			height: "100%",
			overflow: "hidden",
			textIndent: "32px",
			fontSize: "16px"
		},
		".articel_wrap": {
			width: "90%",
			height: "75%",
			position: "absolute",
			top: "5%",
			left: "50%",
			transform: "translateX(-50%)"
		},
		".articel_btns": {
			width: "90%",
			height: "10%",
			flexDirection: "row",
			position: "absolute",
			top: "83%",
			left: "50%",
			transform: "translateX(-50%)",
			maxHeight: "45px"
		},
		".articel_btn": {marginRight: "20px"},
		".famous_wrap": {
			width: "100%",
			height: "100%",
			paddingTop: "10px",
			alignItems: "center",
			backgroundColor: "#ecfdf3"
		},
		".wellKnown": {width: "90%", position: "relative", flexShrink: "0"},
		".wellknonw_text": {
			position: "absolute",
			top: "8%",
			left: "5%",
			right: "5%",
			bottom: "8%"
		},
		".wk_content": {width: "100%", height: "100%", overflow: "hidden"},
		".wk_content_text": {fontSize: "16px", textIndent: "32px"},
		".wk_bookName": {
			fontSize: "18px",
			textAlign: "right",
			lineHeight: "26px",
			flexShrink: "0"
		},
		".famous_book_wrap": {
			width: "100%",
			height: "100%",
			paddingTop: "10px",
			boxSizing: "border-box",
			position: "relative"
		},
		".btn_more": {
			width: "100%",
			height: "25px",
			position: "absolute",
			top: "30px",
			flexDirection: "row",
			justifyContent: "space-between",
			padding: "0 5%",
			boxSizing: "border-box"
		},
		".book_wrap": {
			width: "90%",
			height: "85%",
			position: "absolute",
			top: "70px",
			left: "50%",
			transform: "translateX(-50%)",
			flexDirection: "row",
			justifyContent: "space-between",
			flexWrap: "wrap"
		},
		".book": {width: "27.5%"}
	};
	apivm.define("tpl", Tpl);
	apivm.render(apivm.h("tpl", null), "body");
})();
