(function() {
	function ownKeys(object, enumerableOnly) {
		var keys = Object.keys(object);

		if (Object.getOwnPropertySymbols) {
			var symbols = Object.getOwnPropertySymbols(object);

			if (enumerableOnly) {
				symbols = symbols.filter(function(sym) {
					return Object.getOwnPropertyDescriptor(object, sym).enumerable;
				});
			}

			keys.push.apply(keys, symbols);
		}

		return keys;
	}

	function _objectSpread2(target) {
		for (var i = 1; i < arguments.length; i++) {
			var source = arguments[i] != null ? arguments[i] : {};

			if (i % 2) {
				ownKeys(Object(source), true).forEach(function(key) {
					_defineProperty(target, key, source[key]);
				});
			} else if (Object.getOwnPropertyDescriptors) {
				Object.defineProperties(target, Object.getOwnPropertyDescriptors(source));
			} else {
				ownKeys(Object(source)).forEach(function(key) {
					Object.defineProperty(
						target,
						key,
						Object.getOwnPropertyDescriptor(source, key)
					);
				});
			}
		}

		return target;
	}

	function _defineProperty(obj, key, value) {
		if (key in obj) {
			Object.defineProperty(obj, key, {
				value: value,
				enumerable: true,
				configurable: true,
				writable: true
			});
		} else {
			obj[key] = value;
		}

		return obj;
	}

	var myParam = {
		domain: "http://xxtbapp.3jidi.com",
		// domain: 'http://192.168.0.102:8081',
		// domain: 'http://192.168.0.176:8085',//教研内网ip
		phone_version: 0,
		apkType: "xx_zw", // 包类型不可变
		myName: "少儿国学写作范文大全",
		// 苹果渠道
		// channelType: 'phone_ios_zw'

		// 安卓渠道
		//channelType: '3jidi_phone_huawei_1'  // 华为
		//channelType: '3jidi_phone_YingYBao_1'// 应用宝
		//channelType: '3jidi_phone_xiaomi_1'  // 小米
		//channelType: '3jidi_phone_360_1'        // 360
		//channelType: '3jidi_phone_baidu_1'   // 百度
		channelType: "3jidi_phone_UC_1" // UC
		//channelType: '3jidi_phone_meizu_1'   // 魅族
		//channelType: '3jidi_phone_samsung_1' // 三星
		// channelType: '3jidi_phone_smartisan_1' // 锤子
		// channelType: '3jidi_phone_lenovo_1'  // 联想
	};

	var count = 0;
	// ajax 方法
	function request(params) {
		// console.log('params---'+JSON.stringify(params));
		count++;
		if (count === 1) {
			api.showProgress();
		}
		return new Promise(function(resolve, reject) {
			//console.log(myParam.domain + params.url);
			api.ajax(
				{
					url: myParam.domain + params.url,
					method: "post",
					cache: false,
					timeout: 3000,
					dataType: "json",
					headers: params.header || {},
					data: {
						values: params.values ? params.values : {},
						files: {
							file: params.file
						}
					},

					returnAll: false
				},
				function(ret, err) {
					// console.log('callback------'+JSON.stringify(ret));
					if (ret) resolve(ret);
					else reject(err);
					count--;
					if (count == 0) {
						api.hideProgress();
					}
				}
			);
		});
	}

	function getDeviceId() {
		return localStorage.getItem("temporaryUid") || api.deviceId;
	}

	// 应用内登录
	function authV2(argFromAuth) {
		if (argFromAuth === void 0) {
			argFromAuth = "";
		}
		opendb_common();
		var deviceMessage =
			api.systemType.toUpperCase() +
			"_" +
			api.systemVersion +
			"_" +
			api.deviceModel +
			"_" +
			api.appVersion;
		request({
			url:
				"/auth/v2/" +
				getDeviceId() +
				"/" +
				myParam.channelType +
				"/" +
				myParam.apkType,
			values: {
				deviceName: api.uiMode.toUpperCase(),
				user_token: "",
				deviceMessage: deviceMessage
			}
		})
			.then(function(res) {
				// console.log(''+api.uiMode+'-------'+JSON.stringify(res));
				api.setGlobalData({
					key: "uCode",
					value: res.uCode
				});

				if (!argFromAuth) {
					return new Promise(function() {});
				}
			})
			.then(function() {
				isAuth(argFromAuth);
			});
	}

	// 鉴权
	function isAuth(params) {
		return request({
			url: "/user/video/v2/isplay",
			values: _objectSpread2(
				{
					apkType: myParam.apkType,
					channelType: myParam.channelType,
					uniqueStr: api.deviceModel,
					deviceName: api.uiMode.toUpperCase(),
					gradeid: "6802616b-e421-4c05-a5d8-f6cd5edf7272"
				},
				params
			)
		}).then(function(res) {
			// console.log(JSON.stringify(res));
			if (res) {
				if (res.unlogined == 1) {
					authV2(params);
					return new Promise(function() {});
				}
				return res.result;
			}
		});
	}

	// 查询权限
	/*
  @param {type} String :默认pro-输出promise数组，'none'-返回数组·

  */
	function hasPermission(permission, type) {
		if (type === void 0) {
			type = "";
		}
		var resultList = api.hasPermission({
			list: permission
		});

		if (!type) return resultList;
		return Promise.resolve(resultList);
	}

	//创建本地数据库
	function opendb_common() {
		var db = api.require("db");
		db.openDatabase(
			{
				name: "pyLogDB",
				path: "fs://downloadlist.db"
			},
			function(ret, err) {
				if (ret.status) {
					createPyLog();
					// createQmcs();
					// console.log(JSON.stringify(ret)+'--opendb_common');
				}
			}
		);
	}

	//创建本地支付日志表
	function createPyLog() {
		var db = api.require("db");
		var sql_1 =
			"CREATE TABLE if not exists pyLog(id INTEGER PRIMARY KEY AUTOINCREMENT, transactionId varchar(255), receipt TexT, uCode varchar(255),orderId varchar(255),state INTEGER,createdtime datetime,reserve_1 varchar(255),reserve_2 varchar(255),reserve_3 datetime)";
		db.executeSql(
			{
				name: "pyLogDB",
				sql: sql_1
			},
			function(ret, err) {
				if (ret.status) {
					// console.log(JSON.stringify(ret)+'--createPyLog');
					checkDBOrder();
				}
			}
		);
	}

	//掉单处理
	function checkDBOrder() {
		var db = api.require("db");
		db.selectSql(
			{
				name: "pyLogDB",
				sql: "SELECT * FROM pyLog where state=0"
			},
			function(ret, err) {
				if (ret.status) {
					var _loop = function _loop() {
						var orderId = ret.data[i].orderId;
						var transactionId = ret.data[i].transactionId;
						var receipt = ret.data[i].receipt;
						var id = ret.data[i].id;
						request({
							url: "/app/user/order/findOrderstate",
							values: {
								orderid: orderId,
								trade_number_id: transactionId,
								apk_type: myParam.apkType,
								receipt: receipt,
								channelType: myParam.channelType
							}
						}).then(function(res) {
							updateDBPylog(id);
						});
					}; //	        alert(JSON.stringify(ret)+'----checkDBOrder');
					for (var i = 0; i < ret.data.length; i++) {
						_loop();
					}
				}
			}
		);
	}

	//更新本地支付日志支付状态
	function updateDBPylog(id) {
		var db = api.require("db");
		var sql = "update pyLog set state=1 where id=" + id;
		db.executeSql(
			{
				name: "pyLogDB",
				sql: sql
			},
			function(ret, err) {
				if (ret.status);
			}
		);
	}

	// 登录、注册、购买页检测权限
	function checkPms(callback) {
		if (callback === void 0) {
			callback = "";
		}
		var resList = hasPermission(["phone-r"]);
		if (!resList[0].granted) {
			api.confirm(
				{
					title: "提示",
					msg:
						"您未授权IMEI权限，为确保您的虚拟权限能正常使用请您授权获取IMEI，否则无法为您提供服务",
					buttons: ["确定", "取消"]
				},
				function(ret) {
					if (ret.buttonIndex == 1) {
						// 确定
						api.requestPermission(
							{
								list: ["phone-r"]
							},
							function(ret) {
								if (ret.list[0].granted) {
									if (localStorage.getItem("prevStartup") != "1") {
										localStorage.setItem("prevStartup", 1);
									}
									localStorage.removeItem("temporaryUid");
									// $api.rmStorage('temporaryUid');
									api.toast({
										msg: "授权成功",
										duration: 3000,
										location: "middle",
										global: true
									});

									authV2(); // 授权后要重新调默认登录接口
									callback && callback();
								} else {
									noServe();
								}
							}
						);
					} else {
						noServe();
					}
				}
			);
		} else {
			callback && callback();
		}
	}

	function noServe() {
		api.toast({
			msg: "很抱歉，无法为您提供服务",
			duration: 3000,
			location: "middle",
			global: true
		});

		api.closeWin();
	}

	var Lnr = /*@__PURE__*/ (function(Component) {
		function Lnr(props) {
			Component.call(this, props);
			this.data = {
				current: 0,
				nameForm: {
					account: "手机号码",
					password: "密码",
					verfity: "验证码"
				},

				loginForm: {
					account: "",
					password: ""
				},

				regForm: {
					account: "",
					password: "",
					verfity: ""
				},

				isBtnLog: false,
				isBtnReg: false,
				// 隐私条款框
				isclick: false,
				yzm_text: "获取验证码",
				// 校验码按钮是否允许点击
				isverfity: false,
				// 控制校验码显示隐藏
				showCurtain: false,
				// 校验码图片
				code_pic: "",
				// 校验码
				checkCode: ""
			};
		}

		if (Component) Lnr.__proto__ = Component;
		Lnr.prototype = Object.create(Component && Component.prototype);
		Lnr.prototype.constructor = Lnr;
		Lnr.prototype.apiready = function() {
			var this$1 = this;

			checkPms();
			setTimeout(function() {
				this$1.data.current = parseInt(api.pageParam.type);
			}, 0);
		};
		Lnr.prototype.nav = function(idx) {
			this.data.current = parseInt(idx);
		};
		Lnr.prototype.swiperChange = function(e) {
			this.data.current = parseInt(e.detail.current);
		};
		Lnr.prototype.regAcc = function(e) {
			var this$1 = this;
			// setTimeot修复最后一位数字阻断问题
			setTimeout(function() {
				var phoneNumber = /^(1[3-9])\d{9}$/; // 手机号正则
				var account = e.target.value;
				this$1.data.isverfity = phoneNumber.test(account);
			}, 0);
		};
		Lnr.prototype.register = function() {
			var this$1 = this;

			if (this.data.isBtnReg) {
				return;
			}
			var ref = this.data.regForm;
			var account = ref.account;
			var password = ref.password;
			var verfity = ref.verfity;
			var phoneNumber = /^(1[3-9])\d{9}$/,
				patrn = /^[a-zA-Z0-9!@#$%^&*()_?<>{}]{6,18}$/;
			if (!phoneNumber.test(account)) {
				return api.alert({msg: "手机号码输入有误!"});
			}
			if (verfity.length != 6) {
				return api.alert({msg: "验证码格式错误"});
			}
			if (!patrn.exec(password)) {
				return api.alert({
					msg: "密码格式可包含大小写字母，特殊符号，长度不低于6位,不高于18位"
				});
			}
			if (this.data.isclick == 0) {
				return api.alert({msg: "请勾选下方服务与隐私条款"});
			}
			this.data.isBtnReg = true;
			request({
				url: "/user/u//v2/register",
				values: {
					uniqueStr: api.deviceId,
					userName: api.getGlobalData({key: "uCode"}),
					phone: account,
					password: password,
					verify: verfity,
					apkType: myParam.apkType,
					channelType: myParam.channelType
				}
			}).then(function(res) {
				if (res.code == "200") {
					// 成功
					api.toast({
						msg: res.msg,
						duration: 3000,
						global: true
					});

					this$1.data.isBtnReg = false;
					api.sendEvent({name: "toIndex"});
					this$1.closeWin();
				} else {
					this$1.data.isBtnReg = false;
					api.alert({msg: res.msg});
				}
			});
		};
		Lnr.prototype.getVerfity = function() {
			if (this.data.isverfity) {
				this.data.showCurtain = true;
				this.verfityFn();
			} else {
				api.alert({msg: "请输入正确的手机号码"});
			}
		};
		Lnr.prototype.verfityFn = function() {
			var this$1 = this;

			request({
				url: "/comm/v2/checkcode"
			}).then(function(res) {
				// console.log(JSON.stringify(res));
				this$1.data.code_pic = "data:image/jepg;base64," + res.jpg;
			});
		};
		Lnr.prototype.hideCurtain = function() {
			this.data.showCurtain = !this.data.showCurtain;
		};
		Lnr.prototype.confirmCheckCode = function() {
			var this$1 = this;

			if (this.data.checkCode.length < 5) {
				return api.toast({msg: "校验码输入错误"});
			} else {
				request({
					url: "/user/u/v2/verify",
					values: {
						v_code: this.data.checkCode,
						userid: api.getGlobalData({key: "uCode"}),
						operatetype: 0, //0-注册，1-修改密码
						content: this.data.regForm.account,
						apkType: myParam.apkType
					}
				}).then(function(res) {
					if (res) {
						this$1.data.checkCode = ""; // 清空校验码
						if (res.code === "0000") {
							//成功
							this$1.data.showCurtain = false;
							this$1.data.isverfity = false;
							var num = 60;
							var timer = setInterval(function() {
								if (num > 0) {
									num--;
									this$1.data.yzm_text = "重新发送(" + num + ")";
								} else {
									this$1.data.isverfity = true;
									this$1.data.yzm_text = "获取验证码";
									clearInterval(timer);
								}
							}, 1000);
						} else if (res.code === "0001") {
							//失败
							api.alert({
								msg: res.msg
							});

							this$1.verfityFn();
						} else {
							this$1.data.showCurtain = false;
							api.alert({
								msg: "您的操作过于频繁，请明天再试"
							});
						}
					}
				});
			}
		};
		Lnr.prototype.changeclick = function() {
			this.data.isclick = !this.data.isclick;
		};
		Lnr.prototype.login = function() {
			var this$1 = this;

			if (this.data.isBtnLog) {
				return;
			}
			var ref = this.data;
			var loginForm = ref.loginForm;
			for (var key in loginForm) {
				if (!loginForm[key]) {
					return api.toast({
						msg: this.data.nameForm[key] + "不能为空"
					});
				}
			}
			this.data.isBtnLog = true;
			request({
				url: "/user/u/v2/login",
				values: {
					uniqueStr: api.deviceId,
					userName: api.getGlobalData({key: "uCode"}),
					password: loginForm.password,
					phone: loginForm.account,
					apkType: myParam.apkType,
					channelType: myParam.channelType,
					deviceName: api.uiMode.toUpperCase()
				}
			})
				.then(function(res) {
					// console.log(JSON.stringify(res));
					if (res) {
						if (res.code === "200") {
							// 登录成功
							this$1.data.isBtnLog = false;
							api.sendEvent({name: "toIndex"});
							this$1.closeWin();
						} else {
							// 205-手机号码不存在或者不匹配,201-错误参数phone
							this$1.data.isBtnLog = false;
						}
						api.toast({
							msg: res.msg,
							location: "middle",
							duration: 2000,
							global: true
						});
					}
				})
				.catch(function(err) {
					console.log("login err---", $api.jsonToStr(err));
					this$1.data.isBtnLog = false;
				});
		};
		Lnr.prototype.serve = function() {
			api.openWin({
				name: "fwxy",
				url: "https://xiaochengxu.3jidi.com/html/agreement/phone/fwxy.html"
			});
		};
		Lnr.prototype.privacy = function() {
			// 小学同步满分作文
			api.openWin({
				name: "privacy",
				url:
					"https://xiaochengxu.3jidi.com/html/agreement/phone/privacy" +
					(api.systemType === "ios" ? "IOS" : "") +
					".html?app=" +
					encodeURI(myParam.myName)
			});
		};
		Lnr.prototype.closeWin = function() {
			api.closeWin();
		};
		Lnr.prototype.render = function() {
			var this$1 = this;
			return apivm.h(
				"safe-area",
				{class: "page"},
				apivm.h(
					"view",
					{class: "header"},
					apivm.h("image", {
						class: "backPic",
						mode: "aspectFit",
						onClick: this.closeWin,
						src: "../../image/lnr/arrow-left.png"
					})
				),

				apivm.h(
					"view",
					{class: "nav"},
					apivm.h(
						"view",
						{
							class: "nav_item",
							onClick: function() {
								return this$1.nav(0);
							}
						},
						apivm.h("text", {class: "nav_text"}, "注册")
					),
					apivm.h(
						"view",
						{
							class: "nav_item",
							onClick: function() {
								return this$1.nav(1);
							}
						},
						apivm.h("text", {class: "nav_text"}, "登录")
					),
					apivm.h("label", {
						class: "line",
						style: "left:" + this.data.current * 50 + "%"
					})
				),
				apivm.h(
					"swiper",
					{class: "swiper", current: this.data.current, onChange: this.swiperChange},

					apivm.h(
						"swiper-item",
						{class: "swiper-item"},
						apivm.h(
							"view",
							{class: "swiper_item_wrap"},

							apivm.h(
								"view",
								{class: "item_wrap"},
								apivm.h("image", {
									mode: "aspectFit",
									class: "iconPhone",
									src: "../../image/lnr/iconPhone5.png",
									alt: ""
								}),
								apivm.h("text", {class: "item_text"}, "手机号码："),
								apivm.h("input", {
									onInput: function(e) {
										(function(event) {
											if (this$1.regAcc) {
												this$1.regAcc(event);
											} else {
												regAcc(event);
											}
										})(e);
										if (typeof regForm != "undefined") {
											regForm.account = e.target.value;
										} else {
											this$1.data.regForm.account = e.target.value;
										}
									},
									class: "long_input",
									"keyboard-type": "tel",
									placeholder: "请输入手机号码",
									maxlength: "11",
									value:
										typeof regForm == "undefined"
											? this.data.regForm.account
											: regForm.account
								})
							),

							apivm.h(
								"view",
								{class: "item_wrap"},
								apivm.h("image", {
									mode: "aspectFit",
									class: "iconPhone",
									src: "../../image/lnr/iconCode5.png",
									alt: ""
								}),
								apivm.h("text", {class: "item_text"}, "验  证  码："),
								apivm.h("input", {
									onInput: function(e) {
										if (typeof regForm != "undefined") {
											regForm.verfity = e.target.value;
										} else {
											this$1.data.regForm.verfity = e.target.value;
										}
									},
									class: "verfity",
									"keyboard-type": "number",
									placeholder: "请输入验证码",
									maxlength: "6",
									value:
										typeof regForm == "undefined"
											? this.data.regForm.verfity
											: regForm.verfity
								}),
								apivm.h(
									"button",
									{
										class:
											"getVerfity " + (this.data.isverfity ? "getVerfity_allow" : ""),
										onClick: this.getVerfity
									},
									this.data.yzm_text.replace(/<[^>]+>/g, "")
								)
							),

							apivm.h(
								"view",
								{class: "item_wrap"},
								apivm.h("image", {
									mode: "aspectFit",
									class: "iconPhone",
									src: "../../image/lnr/iconPsw5.png",
									alt: ""
								}),
								apivm.h(
									"view",
									{class: "item_text psw_wrap"},
									apivm.h("text", null, "密"),
									apivm.h("text", null, "码：")
								),
								apivm.h("input", {
									onInput: function(e) {
										if (typeof regForm != "undefined") {
											regForm.password = e.target.value;
										} else {
											this$1.data.regForm.password = e.target.value;
										}
									},
									class: "long_input",
									type: "password",
									placeholder: "6~20位数字字母或字符",
									maxlength: "20",
									value:
										typeof regForm == "undefined"
											? this.data.regForm.password
											: regForm.password
								})
							),

							apivm.h(
								"view",
								{class: "item_wrap_privacy"},
								apivm.h("image", {
									class: "changeclick",
									id: "changeclick",
									onclick: function(event) {
										if (this$1.changeclick) {
											this$1.changeclick();
										} else {
											changeclick();
										}
									},
									src:
										"../../image/lnr/btn_check_" +
										(this.data.isclick ? "on" : "off") +
										"_focused_holo_light.png",
									alt: ""
								}),
								apivm.h(
									"view",
									{class: "ps_wrap"},
									apivm.h("text", null, "我已阅读"),
									apivm.h(
										"text",
										{
											onclick: function(event) {
												if (this$1.serve) {
													this$1.serve();
												} else {
													serve();
												}
											},
											class: "white"
										},
										"《服务协议》"
									),
									apivm.h("text", null, "和"),
									apivm.h(
										"text",
										{
											onclick: function(event) {
												if (this$1.privacy) {
													this$1.privacy();
												} else {
													privacy();
												}
											},
											class: "white"
										},
										"《隐私协议》"
									)
								)
							),
							apivm.h("button", {class: "btn_", onClick: this.register}, "注册")
						)
					),

					apivm.h(
						"swiper-item",
						{class: "swiper-item"},
						apivm.h(
							"view",
							{class: "swiper_item_wrap"},

							apivm.h(
								"view",
								{class: "item_wrap"},
								apivm.h("image", {
									mode: "aspectFit",
									class: "iconPhone",
									src: "../../image/lnr/iconPhone5.png",
									alt: ""
								}),
								apivm.h("text", {class: "item_text"}, "手机号码："),
								apivm.h("input", {
									onInput: function(e) {
										if (typeof loginForm != "undefined") {
											loginForm.account = e.target.value;
										} else {
											this$1.data.loginForm.account = e.target.value;
										}
									},
									class: "long_input",
									"keyboard-type": "tel",
									placeholder: "请输入手机号码",
									maxlength: "11",
									value:
										typeof loginForm == "undefined"
											? this.data.loginForm.account
											: loginForm.account
								})
							),

							apivm.h(
								"view",
								{class: "item_wrap"},
								apivm.h("image", {
									mode: "aspectFit",
									class: "iconPhone",
									src: "../../image/lnr/iconPsw5.png",
									alt: ""
								}),
								apivm.h(
									"view",
									{class: "item_text psw_wrap"},
									apivm.h("text", null, "密"),
									apivm.h("text", null, "码：")
								),
								apivm.h("input", {
									onInput: function(e) {
										if (typeof loginForm != "undefined") {
											loginForm.password = e.target.value;
										} else {
											this$1.data.loginForm.password = e.target.value;
										}
									},
									class: "long_input",
									type: "password",
									placeholder: "6~20位数字字母或字符",
									maxlength: "20",
									value:
										typeof loginForm == "undefined"
											? this.data.loginForm.password
											: loginForm.password
								})
							),
							apivm.h(
								"button",
								{class: "btn_", onClick: this.login, disabled: this.data.isBtnLog},
								"登录"
							)
						)
					)
				),

				apivm.h(
					"view",
					{
						class: "code_wrap",
						style: {display: this.data.showCurtain ? "flex" : "none"},
						onClick: this.hideCurtain
					},
					apivm.h(
						"view",
						{class: "code_box"},
						apivm.h("text", {class: "code_text"}, "请输入看到的校验码"),
						apivm.h("image", {
							mode: "widthFix",
							class: "code_pic",
							src: this.data.code_pic,
							onClick: this.verfityFn
						}),
						apivm.h(
							"view",
							{class: "inline_wrap"},
							apivm.h("input", {
								onInput: function(e) {
									if (typeof checkCode != "undefined") {
										checkCode = e.target.value;
									} else {
										this$1.data.checkCode = e.target.value;
									}
								},
								type: "text",
								"keyboard-type": "number",
								maxlength: "6",
								"confirm-type": "send",
								value: typeof checkCode == "undefined" ? this.data.checkCode : checkCode
							}),
							apivm.h(
								"button",
								{class: "confirm_code", onClick: this.confirmCheckCode},
								"确定"
							)
						)
					)
				)
			);
		};

		return Lnr;
	})(Component);
	Lnr.css = {
		".page": {height: "100%", backgroundColor: "#f2e0ca", position: "relative"},
		".header": {
			width: "100%",
			height: "7.5%",
			maxHeight: "46px",
			padding: "0 2%",
			boxSizing: "border-box",
			flexDirection: "row",
			alignItems: "center",
			position: "fixed",
			top: "0",
			left: "0"
		},
		".backPic": {height: "80%"},
		".nav": {
			flexDirection: "row",
			width: "100%",
			height: "7.5%",
			maxHeight: "46px",
			marginTop: "46px",
			position: "relative"
		},
		".nav_item": {flex: "1", justifyContent: "center", alignItems: "center"},
		".nav_text": {color: "#8E4417", fontWeight: "700", fontSize: "20px"},
		".line": {
			display: "block",
			width: "50%",
			height: "2px",
			backgroundColor: "#914313",
			position: "absolute",
			top: "100%",
			left: "0",
			transition: "left .4s"
		},
		".swiper": {width: "100%", height: "100%", marginTop: "15px"},
		".swiper-item": {
			width: "100%",
			height: "auto",
			padding: "0 12px",
			boxSizing: "border-box"
		},
		".swiper_item_wrap": {
			width: "100%",
			height: "auto",
			backgroundColor: "#fff",
			padding: "15px 0",
			borderRadius: "10px"
		},
		".item_wrap": {
			width: "100%",
			flexDirection: "row",
			height: "40px",
			alignItems: "center",
			padding: "0 12px",
			boxSizing: "border-box",
			justifyContent: "space-between",
			marginBottom: "15px"
		},
		".iconPhone": {width: "20px", marginRight: "10px"},
		".item_text": {width: "25%", whiteSpace: "nowrap"},
		".verfity": {width: "30%"},
		".getVerfity": {padding: "6px 10px", borderRadius: "20px"},
		".getVerfity_allow": {backgroundColor: "#f3732c", color: "#fff"},
		".long_input": {width: "60%"},
		input: {
			padding: "0 10px",
			boxSizing: "border-box",
			borderRadius: "8px",
			height: "100%",
			fontSize: "16px"
		},
		".psw_wrap": {flexDirection: "row", justifyContent: "space-between"},
		".item_wrap_privacy": {
			width: "100%",
			flexDirection: "row",
			paddingLeft: "15px",
			boxSizing: "border-box",
			alignItems: "center",
			marginBottom: "15px"
		},
		".changeclick": {height: "30px"},
		".ps_wrap": {
			flexDirection: "row",
			justifyContent: "space-between",
			alignItems: "center"
		},
		".white": {color: "#f3732c"},
		".btn_": {
			width: "90%",
			height: "40px",
			backgroundColor: "#f3732c",
			borderRadius: "30px",
			color: "#fff",
			fontSize: "18px",
			margin: "auto"
		},
		".code_wrap": {
			width: "100%",
			height: "100%",
			position: "absolute",
			top: "0",
			left: "0",
			backgroundColor: "rgba(0,0,0,.6)"
		},
		".code_box": {
			width: "90%",
			backgroundColor: "#fff",
			borderRadius: "10px",
			position: "absolute",
			top: "50%",
			left: "50%",
			transform: "translate(-50%, -50%)",
			alignItems: "center"
		},
		".code_text": {
			width: "100%",
			fontSize: "24px",
			lineHeight: "36px",
			fontWeight: "700",
			textAlign: "center",
			marginBottom: "10px"
		},
		".code_pic": {width: "70%"},
		".inline_wrap": {
			width: "100%",
			height: "40px",
			flexDirection: "row",
			justifyContent: "center",
			margin: "15px 0"
		},
		".confirm_code": {
			marginLeft: "15px",
			borderRadius: "20px",
			backgroundColor: "#F3732C",
			color: "#fff",
			fontSize: "16px"
		}
	};
	apivm.define("lnr", Lnr);
	apivm.render(apivm.h("lnr", null), "body");
})();
