(function() {
	function ownKeys(object, enumerableOnly) {
		var keys = Object.keys(object);

		if (Object.getOwnPropertySymbols) {
			var symbols = Object.getOwnPropertySymbols(object);

			if (enumerableOnly) {
				symbols = symbols.filter(function(sym) {
					return Object.getOwnPropertyDescriptor(object, sym).enumerable;
				});
			}

			keys.push.apply(keys, symbols);
		}

		return keys;
	}

	function _objectSpread2(target) {
		for (var i = 1; i < arguments.length; i++) {
			var source = arguments[i] != null ? arguments[i] : {};

			if (i % 2) {
				ownKeys(Object(source), true).forEach(function(key) {
					_defineProperty(target, key, source[key]);
				});
			} else if (Object.getOwnPropertyDescriptors) {
				Object.defineProperties(target, Object.getOwnPropertyDescriptors(source));
			} else {
				ownKeys(Object(source)).forEach(function(key) {
					Object.defineProperty(
						target,
						key,
						Object.getOwnPropertyDescriptor(source, key)
					);
				});
			}
		}

		return target;
	}

	function _defineProperty(obj, key, value) {
		if (key in obj) {
			Object.defineProperty(obj, key, {
				value: value,
				enumerable: true,
				configurable: true,
				writable: true
			});
		} else {
			obj[key] = value;
		}

		return obj;
	}

	var myParam = {
		domain: "http://xxtbapp.3jidi.com",
		// domain: 'http://192.168.0.102:8081',
		// domain: 'http://192.168.0.176:8085',//教研内网ip
		phone_version: 0,
		apkType: "xx_zw", // 包类型不可变
		myName: "少儿国学写作范文大全",
		// 苹果渠道
		// channelType: 'phone_ios_zw'

		// 安卓渠道
		//channelType: '3jidi_phone_huawei_1'  // 华为
		//channelType: '3jidi_phone_YingYBao_1'// 应用宝
		//channelType: '3jidi_phone_xiaomi_1'  // 小米
		//channelType: '3jidi_phone_360_1'        // 360
		//channelType: '3jidi_phone_baidu_1'   // 百度
		channelType: "3jidi_phone_UC_1" // UC
		//channelType: '3jidi_phone_meizu_1'   // 魅族
		//channelType: '3jidi_phone_samsung_1' // 三星
		// channelType: '3jidi_phone_smartisan_1' // 锤子
		// channelType: '3jidi_phone_lenovo_1'  // 联想
	};

	var count = 0;
	// ajax 方法
	function request(params) {
		// console.log('params---'+JSON.stringify(params));
		count++;
		if (count === 1) {
			api.showProgress();
		}
		return new Promise(function(resolve, reject) {
			//console.log(myParam.domain + params.url);
			api.ajax(
				{
					url: myParam.domain + params.url,
					method: "post",
					cache: false,
					timeout: 3000,
					dataType: "json",
					headers: params.header || {},
					data: {
						values: params.values ? params.values : {},
						files: {
							file: params.file
						}
					},

					returnAll: false
				},
				function(ret, err) {
					// console.log('callback------'+JSON.stringify(ret));
					if (ret) resolve(ret);
					else reject(err);
					count--;
					if (count == 0) {
						api.hideProgress();
					}
				}
			);
		});
	}

	function getDeviceId() {
		return localStorage.getItem("temporaryUid") || api.deviceId;
	}

	// 应用内登录
	function authV2(argFromAuth) {
		if (argFromAuth === void 0) {
			argFromAuth = "";
		}
		opendb_common();
		var deviceMessage =
			api.systemType.toUpperCase() +
			"_" +
			api.systemVersion +
			"_" +
			api.deviceModel +
			"_" +
			api.appVersion;
		request({
			url:
				"/auth/v2/" +
				getDeviceId() +
				"/" +
				myParam.channelType +
				"/" +
				myParam.apkType,
			values: {
				deviceName: api.uiMode.toUpperCase(),
				user_token: "",
				deviceMessage: deviceMessage
			}
		})
			.then(function(res) {
				// console.log(''+api.uiMode+'-------'+JSON.stringify(res));
				api.setGlobalData({
					key: "uCode",
					value: res.uCode
				});

				if (!argFromAuth) {
					return new Promise(function() {});
				}
			})
			.then(function() {
				isAuth(argFromAuth);
			});
	}

	// 鉴权
	function isAuth(params) {
		return request({
			url: "/user/video/v2/isplay",
			values: _objectSpread2(
				{
					apkType: myParam.apkType,
					channelType: myParam.channelType,
					uniqueStr: api.deviceModel,
					deviceName: api.uiMode.toUpperCase(),
					gradeid: "6802616b-e421-4c05-a5d8-f6cd5edf7272"
				},
				params
			)
		}).then(function(res) {
			// console.log(JSON.stringify(res));
			if (res) {
				if (res.unlogined == 1) {
					authV2(params);
					return new Promise(function() {});
				}
				return res.result;
			}
		});
	}

	//创建本地数据库
	function opendb_common() {
		var db = api.require("db");
		db.openDatabase(
			{
				name: "pyLogDB",
				path: "fs://downloadlist.db"
			},
			function(ret, err) {
				if (ret.status) {
					createPyLog();
					// createQmcs();
					// console.log(JSON.stringify(ret)+'--opendb_common');
				}
			}
		);
	}

	//创建本地支付日志表
	function createPyLog() {
		var db = api.require("db");
		var sql_1 =
			"CREATE TABLE if not exists pyLog(id INTEGER PRIMARY KEY AUTOINCREMENT, transactionId varchar(255), receipt TexT, uCode varchar(255),orderId varchar(255),state INTEGER,createdtime datetime,reserve_1 varchar(255),reserve_2 varchar(255),reserve_3 datetime)";
		db.executeSql(
			{
				name: "pyLogDB",
				sql: sql_1
			},
			function(ret, err) {
				if (ret.status) {
					// console.log(JSON.stringify(ret)+'--createPyLog');
					checkDBOrder();
				}
			}
		);
	}

	//掉单处理
	function checkDBOrder() {
		var db = api.require("db");
		db.selectSql(
			{
				name: "pyLogDB",
				sql: "SELECT * FROM pyLog where state=0"
			},
			function(ret, err) {
				if (ret.status) {
					var _loop = function _loop() {
						var orderId = ret.data[i].orderId;
						var transactionId = ret.data[i].transactionId;
						var receipt = ret.data[i].receipt;
						var id = ret.data[i].id;
						request({
							url: "/app/user/order/findOrderstate",
							values: {
								orderid: orderId,
								trade_number_id: transactionId,
								apk_type: myParam.apkType,
								receipt: receipt,
								channelType: myParam.channelType
							}
						}).then(function(res) {
							updateDBPylog(id);
						});
					}; //	        alert(JSON.stringify(ret)+'----checkDBOrder');
					for (var i = 0; i < ret.data.length; i++) {
						_loop();
					}
				}
			}
		);
	}

	//更新本地支付日志支付状态
	function updateDBPylog(id) {
		var db = api.require("db");
		var sql = "update pyLog set state=1 where id=" + id;
		db.executeSql(
			{
				name: "pyLogDB",
				sql: sql
			},
			function(ret, err) {
				if (ret.status);
			}
		);
	}

	var Tpl = /*@__PURE__*/ (function(Component) {
		function Tpl(props) {
			Component.call(this, props);
			this.data = {
				systemType: "android",
				uCode: api.getGlobalData({key: "uCode"}) || "",
				uPhoneNum: "",
				pName: "",
				pEndTime: "",
				times: 0,
				userAccount: ""
			};
		}

		if (Component) Tpl.__proto__ = Component;
		Tpl.prototype = Object.create(Component && Component.prototype);
		Tpl.prototype.constructor = Tpl;
		Tpl.prototype.apiready = function() {
			var this$1 = this;
			this.data.systemType = api.systemType;
			this.findUserMsgV2(); // 监听tabBar
			api.addEventListener({name: "tabframe"}, function(ret, err) {
				// console.log('当前显示frame：'+JSON.stringify(ret));
				if (ret.name === "mine") {
					// 当当前窗口是“我的”页面时，加载用户信息接口
					this$1.findUserMsgV2();
				}
			});
		};
		Tpl.prototype.findUserMsgV2 = function() {
			var this$1 = this;

			request({
				url: "/user/u/v2/" + myParam.apkType + "/" + myParam.channelType,
				values: {
					deviceName: api.uiMode.toUpperCase(),
					uniqueStr: getDeviceId(),
					apkType: myParam.apkType,
					channelType: myParam.channelType
				}
			})
				.then(function(res) {
					// console.log(JSON.stringify(res));
					var phone = res.uPhoneNum || "";
					this$1.data.uCode = res.uCode || "";
					this$1.data.pName = res.pName || "";
					this$1.data.pEndTime = res.pEndTime || "";
					this$1.data.uPhoneNum = phone;
					if (phone) {
						this$1.data.userAccount = phone.slice(0, 3) + "****" + phone.slice(-4);
					} else {
						this$1.data.userAccount = "";
					}
					if (!res.uCode && res.sessionCode) {
						if (this$1.data.times < 3) {
							this$1.data.times++;
							return authV2();
						} else {
							api.alert({smg: "网络繁忙，请退出应用重新进入"});
							return new Promise(function() {});
						}
					} else {
						return new Promise(function() {});
					}
				})
				.then(function(res1) {
					findUserMsgV2();
				});
		};
		Tpl.prototype.toLnr = function(type) {
			api.openWin({
				name: "lnr",
				url: "../lnr/lnr.stml",
				pageParam: {
					type: type
				}
			});
		};
		Tpl.prototype.toOrder = function() {
			var url = "../order/android_order.stml";
			if (api.systemType === "ios") {
				url = "../order/order.stml";
			}
			api.openWin({
				name: "order",
				url: url
			});
		};
		Tpl.prototype.SignOut = function() {
			var this$1 = this;

			if (!this.data.uPhoneNum) {
				return api.toast({
					msg: "请用手机号码登录再试",
					duration: 2000
				});
			}
			api.confirm(
				{
					title: "提示",
					msg: "注销账号将失去您已有的权限，确定注销账号吗？",
					buttons: ["确定", "取消"]
				},
				function(ret, err) {
					//  	console.log(JSON.stringify(ret));
					if (ret.buttonIndex == 1) {
						request({
							url: "/user/u/phone_logout",
							values: {
								phone: this$1.data.uPhoneNum
							},

							returnAll: false
						}).then(function(ret) {
							//console.log($api.jsonToStr(ret))
							if (ret && ret.code == "0000") {
								this$1.data.userAccount = "";
								api.toast({
									msg: ret.msg
								});

								this$1.findUserMsgV2();
							}
						});
					}
				}
			);
		};
		Tpl.prototype.render = function() {
			var this$1 = this;
			return apivm.h(
				"safe-area",
				{class: "page"},
				apivm.h(
					"scroll-view",
					{class: "page"},
					apivm.h(
						"view",
						{class: "top_wrap"},
						apivm.h("view", {class: "box"}),
						apivm.h(
							"view",
							{class: "user_info_wrap"},
							apivm.h(
								"view",
								{class: "info info1"},
								apivm.h(
									"text",
									{class: "account_info"},
									"尊敬的",
									this.data.userAccount,
									"用户"
								)
							),
							apivm.h(
								"scroll-view",
								{
									"scroll-x": true,
									"show-scrollbar": "false",
									bounces: "false",
									class: "info"
								},
								apivm.h(
									"text",
									{class: "text", style: "color: #bc915c;"},
									"您的编号："
								),
								apivm.h("text", {class: "text"}, this.data.uCode)
							),
							apivm.h(
								"scroll-view",
								{
									"scroll-x": true,
									"show-scrollbar": "false",
									bounces: "false",
									class: "info"
								},
								apivm.h(
									"text",
									{class: "text", style: "color: #bc915c;"},
									"设备信息："
								),
								apivm.h("text", {class: "text"}, api.deviceModel)
							),
							apivm.h(
								"scroll-view",
								{
									"scroll-x": true,
									"show-scrollbar": "false",
									bounces: "false",
									class: "info"
								},
								apivm.h(
									"text",
									{class: "text", style: "color: #bc915c;"},
									"版  本  号："
								),
								apivm.h(
									"text",
									{class: "text"},
									api.appVersion + "_" + myParam.channelType
								)
							),
							apivm.h(
								"scroll-view",
								{
									"scroll-x": true,
									"show-scrollbar": "false",
									bounces: "false",
									class: "info",
									style: {display: this.data.pName != "" ? "flex" : "none"}
								},
								apivm.h(
									"text",
									{class: "text", style: "color: #bc915c;"},
									"产品名称："
								),
								apivm.h("text", {class: "text"}, this.data.pName)
							),
							apivm.h(
								"scroll-view",
								{
									"scroll-x": true,
									"show-scrollbar": "false",
									bounces: "false",
									class: "info",
									style: {display: this.data.pEndTime != "" ? "flex" : "none"}
								},
								apivm.h(
									"text",
									{class: "text", style: "color: #bc915c;"},
									"到期时间："
								),
								apivm.h("text", {class: "text"}, this.data.pEndTime)
							)
						),
						apivm.h("image", {
							class: "yourhead",
							mode: "widthFix",
							src: "../../image/mine/head.png"
						})
					),
					apivm.h("image", {
						class: "btn",
						mode: "widthFix",
						onClick: function() {
							return this$1.toLnr(1);
						},
						src: "../../image/mine/mine_login_btn.png"
					}),
					apivm.h("image", {
						class: "btn",
						mode: "widthFix",
						onClick: function() {
							return this$1.toLnr(0);
						},
						src: "../../image/mine/mine_register_btn.png"
					}),
					apivm.h("image", {
						class: "btn",
						mode: "widthFix",
						onClick: this.toOrder,
						src: "../../image/mine/mine_pay_btn.png"
					}),
					apivm.h("image", {
						class: "btn",
						mode: "widthFix",
						onClick: this.SignOut,
						src: "../../image/mine/signOut.png"
					}),

					this.data.systemType === "android"
						? apivm.h("image", {class: "btn", src: "../../image/mine/serve.png"})
						: null
				)
			);
		};

		return Tpl;
	})(Component);
	Tpl.css = {
		".page": {
			height: "100%",
			alignItems: "center",
			justifyContent: "flex-start",
			position: "relative",
			background: "#fff6ec"
		},
		".top_wrap": {width: "100%", maxWidth: "800px", position: "relative"},
		".box": {width: "100%", height: "100px", backgroundColor: "#feb75f"},
		".icon": {
			width: "90px",
			position: "absolute",
			bottom: "-50%",
			left: "50%",
			transform: "translateX(-50%)",
			borderRadius: "50%",
			backgroundColor: "#fff",
			border: "2px solid #ddd"
		},
		".user_info_wrap": {
			width: "100%",
			minHeight: "100px",
			backgroundColor: "#fff",
			padding: "55px 12px 10px 47px",
			boxSizing: "border-box"
		},
		".yourhead": {
			width: "100px",
			position: "absolute",
			top: "100px",
			left: "50%",
			transform: "translate(-50%, -50%)"
		},
		".info": {flexDirection: "row"},
		".info1": {justifyContent: "center"},
		".text": {fontSize: "12px", lineHeight: "26px"},
		".account_info": {
			color: "#cca681",
			textAlign: "center",
			fontSize: "16px",
			marginLeft: "-35px",
			lineHeight: "30px"
		},
		".btn": {width: "100%", maxWidth: "800px", marginTop: "6px"}
	};
	apivm.define("tpl", Tpl);
	apivm.render(apivm.h("tpl", null), "body");
})();
