(function() {
	function ownKeys(object, enumerableOnly) {
		var keys = Object.keys(object);

		if (Object.getOwnPropertySymbols) {
			var symbols = Object.getOwnPropertySymbols(object);

			if (enumerableOnly) {
				symbols = symbols.filter(function(sym) {
					return Object.getOwnPropertyDescriptor(object, sym).enumerable;
				});
			}

			keys.push.apply(keys, symbols);
		}

		return keys;
	}

	function _objectSpread2(target) {
		for (var i = 1; i < arguments.length; i++) {
			var source = arguments[i] != null ? arguments[i] : {};

			if (i % 2) {
				ownKeys(Object(source), true).forEach(function(key) {
					_defineProperty(target, key, source[key]);
				});
			} else if (Object.getOwnPropertyDescriptors) {
				Object.defineProperties(target, Object.getOwnPropertyDescriptors(source));
			} else {
				ownKeys(Object(source)).forEach(function(key) {
					Object.defineProperty(
						target,
						key,
						Object.getOwnPropertyDescriptor(source, key)
					);
				});
			}
		}

		return target;
	}

	function _defineProperty(obj, key, value) {
		if (key in obj) {
			Object.defineProperty(obj, key, {
				value: value,
				enumerable: true,
				configurable: true,
				writable: true
			});
		} else {
			obj[key] = value;
		}

		return obj;
	}

	var myParam = {
		domain: "http://xxtbapp.3jidi.com",
		// domain: 'http://192.168.0.102:8081',
		// domain: 'http://192.168.0.176:8085',//教研内网ip
		phone_version: 0,
		apkType: "xx_zw", // 包类型不可变
		myName: "少儿国学写作范文大全",
		// 苹果渠道
		// channelType: 'phone_ios_zw'

		// 安卓渠道
		//channelType: '3jidi_phone_huawei_1'  // 华为
		//channelType: '3jidi_phone_YingYBao_1'// 应用宝
		//channelType: '3jidi_phone_xiaomi_1'  // 小米
		//channelType: '3jidi_phone_360_1'        // 360
		//channelType: '3jidi_phone_baidu_1'   // 百度
		channelType: "3jidi_phone_UC_1" // UC
		//channelType: '3jidi_phone_meizu_1'   // 魅族
		//channelType: '3jidi_phone_samsung_1' // 三星
		// channelType: '3jidi_phone_smartisan_1' // 锤子
		// channelType: '3jidi_phone_lenovo_1'  // 联想
	};

	var count = 0;
	// ajax 方法
	function request(params) {
		// console.log('params---'+JSON.stringify(params));
		count++;
		if (count === 1) {
			api.showProgress();
		}
		return new Promise(function(resolve, reject) {
			//console.log(myParam.domain + params.url);
			api.ajax(
				{
					url: myParam.domain + params.url,
					method: "post",
					cache: false,
					timeout: 3000,
					dataType: "json",
					headers: params.header || {},
					data: {
						values: params.values ? params.values : {},
						files: {
							file: params.file
						}
					},

					returnAll: false
				},
				function(ret, err) {
					// console.log('callback------'+JSON.stringify(ret));
					if (ret) resolve(ret);
					else reject(err);
					count--;
					if (count == 0) {
						api.hideProgress();
					}
				}
			);
		});
	}

	function getDeviceId() {
		return localStorage.getItem("temporaryUid") || api.deviceId;
	}

	// 应用内登录
	function authV2(argFromAuth) {
		if (argFromAuth === void 0) {
			argFromAuth = "";
		}
		opendb_common();
		var deviceMessage =
			api.systemType.toUpperCase() +
			"_" +
			api.systemVersion +
			"_" +
			api.deviceModel +
			"_" +
			api.appVersion;
		request({
			url:
				"/auth/v2/" +
				getDeviceId() +
				"/" +
				myParam.channelType +
				"/" +
				myParam.apkType,
			values: {
				deviceName: api.uiMode.toUpperCase(),
				user_token: "",
				deviceMessage: deviceMessage
			}
		})
			.then(function(res) {
				// console.log(''+api.uiMode+'-------'+JSON.stringify(res));
				api.setGlobalData({
					key: "uCode",
					value: res.uCode
				});

				if (!argFromAuth) {
					return new Promise(function() {});
				}
			})
			.then(function() {
				isAuth(argFromAuth);
			});
	}

	// 鉴权
	function isAuth(params) {
		return request({
			url: "/user/video/v2/isplay",
			values: _objectSpread2(
				{
					apkType: myParam.apkType,
					channelType: myParam.channelType,
					uniqueStr: api.deviceModel,
					deviceName: api.uiMode.toUpperCase(),
					gradeid: "6802616b-e421-4c05-a5d8-f6cd5edf7272"
				},
				params
			)
		}).then(function(res) {
			// console.log(JSON.stringify(res));
			if (res) {
				if (res.unlogined == 1) {
					authV2(params);
					return new Promise(function() {});
				}
				return res.result;
			}
		});
	}

	//创建本地数据库
	function opendb_common() {
		var db = api.require("db");
		db.openDatabase(
			{
				name: "pyLogDB",
				path: "fs://downloadlist.db"
			},
			function(ret, err) {
				if (ret.status) {
					createPyLog();
					// createQmcs();
					// console.log(JSON.stringify(ret)+'--opendb_common');
				}
			}
		);
	}

	//创建本地支付日志表
	function createPyLog() {
		var db = api.require("db");
		var sql_1 =
			"CREATE TABLE if not exists pyLog(id INTEGER PRIMARY KEY AUTOINCREMENT, transactionId varchar(255), receipt TexT, uCode varchar(255),orderId varchar(255),state INTEGER,createdtime datetime,reserve_1 varchar(255),reserve_2 varchar(255),reserve_3 datetime)";
		db.executeSql(
			{
				name: "pyLogDB",
				sql: sql_1
			},
			function(ret, err) {
				if (ret.status) {
					// console.log(JSON.stringify(ret)+'--createPyLog');
					checkDBOrder();
				}
			}
		);
	}

	//掉单处理
	function checkDBOrder() {
		var db = api.require("db");
		db.selectSql(
			{
				name: "pyLogDB",
				sql: "SELECT * FROM pyLog where state=0"
			},
			function(ret, err) {
				if (ret.status) {
					var _loop = function _loop() {
						var orderId = ret.data[i].orderId;
						var transactionId = ret.data[i].transactionId;
						var receipt = ret.data[i].receipt;
						var id = ret.data[i].id;
						request({
							url: "/app/user/order/findOrderstate",
							values: {
								orderid: orderId,
								trade_number_id: transactionId,
								apk_type: myParam.apkType,
								receipt: receipt,
								channelType: myParam.channelType
							}
						}).then(function(res) {
							updateDBPylog(id);
						});
					}; //	        alert(JSON.stringify(ret)+'----checkDBOrder');
					for (var i = 0; i < ret.data.length; i++) {
						_loop();
					}
				}
			}
		);
	}

	//更新本地支付日志支付状态
	function updateDBPylog(id) {
		var db = api.require("db");
		var sql = "update pyLog set state=1 where id=" + id;
		db.executeSql(
			{
				name: "pyLogDB",
				sql: sql
			},
			function(ret, err) {
				if (ret.status);
			}
		);
	}

	global.videoPlayer = api.require("videoPlayer");
	var Playwin = /*@__PURE__*/ (function(Component) {
		function Playwin(props) {
			Component.call(this, props);
			this.data = {
				playindex: 0,
				bodyData: [],
				eventType: "play",
				curSystem: ""
			};
		}

		if (Component) Playwin.__proto__ = Component;
		Playwin.prototype = Object.create(Component && Component.prototype);
		Playwin.prototype.constructor = Playwin;
		Playwin.prototype.apiready = function() {
			this.data.curSystem = api.systemType;
			var ref = api.pageParam;
			var listid = ref.listid;
			var videoid = ref.videoid;
			var playindex = ref.playindex;
			var entityId = ref.entityId;
			if (videoid) {
				this.getVideoPath(videoid, listid);
				this.addUserPlayLog(listid, entityId);
			} else {
				api.toast({msg: "暂无数据，敬请期待", location: "middle"});
			}
			this.getBodyData(entityId);
			this.data.playindex = parseInt(playindex);
			api.addEventListener({name: "swiperight"}, function(ret, err) {
				return;
			});
			api.addEventListener({name: "keyback"}, function(ret) {
				videoPlayer.close();
				api.setScreenOrientation({orientation: "portrait_up"});
				api.closeWin();
			});
		};
		Playwin.prototype.selCourse = function(e) {
			var this$1 = this;
			// 选择视频，视频下选择裂变点击事件
			var ref = e.currentTarget.dataset;
			var curIndex = ref.curIndex;
			var videoid = ref.videoid;
			var list_id = ref.list_id;
			var is_free = ref.is_free;
			if (!videoid) {
				return api.toast({
					msg: "暂无数据，敬请期待",
					location: "middle"
				});
			}
			if (parseInt(is_free) === 0) {
				return this.playLogic(curIndex, videoid, list_id);
			}
			// 鉴权
			isAuth().then(function(res) {
				// console.log(JSON.stringify(res));
				if (res) {
					this$1.playLogic(curIndex, videoid, list_id);
				} else {
					var curPlayIdx = 0;
					this$1.data.bodyData.forEach(function(v, i) {
						if (v.sel) {
							curPlayIdx = i;
						}
					});
					videoPlayer.pause(); // 若正在播放，让视频暂停
					this$1.data.eventType = "pause";
					this$1.commonFn(curPlayIdx, false); // 控制视频播放暂停时选中视频状态，公共函数
					api.openWin({
						name: "payWin",
						// url:'../order/order.stml'
						url: "../order/android_order.stml"
					});
				}
			});
		};
		Playwin.prototype.playLogic = function(curIndex, videoid, list_id) {
			var ref = this.data;
			var playindex = ref.playindex;
			var eventType = ref.eventType;
			var bodyData = ref.bodyData;
			if (parseInt(curIndex) === playindex) {
				// 若点击当前播放或暂停的视频时执行
				var statu = false;
				if (eventType === "play") {
					videoPlayer.pause(); // 若正在播放，让视频暂停
					this.data.eventType = "pause";
				} else if (eventType === "pause" || eventType === "finish") {
					// 若视频暂停、播放完成，让视频播放
					this.data.eventType = "play";
					videoPlayer.start();
					statu = true;
				}
				this.commonFn(playindex, statu); // 控制视频播放暂停时选中视频状态，公共函数
			} else {
				// 若果点击其他视频的时候
				videoPlayer.close(); // 先关闭当前正在播放的视频
				bodyData.forEach(function(v, i) {
					v.sel = i === parseInt(curIndex) ? true : false;
				});
				this.data.bodyData = bodyData;
				this.data.playindex = parseInt(curIndex);
				this.getVideoPath(videoid, list_id);
			}
		};
		Playwin.prototype.commonFn = function(idx, statu) {
			// 控制视频播放暂停时选中视频状态，公共函数
			var ref = this.data;
			var bodyData = ref.bodyData;
			bodyData.forEach(function(v, i) {
				if (i === idx) {
					v.sel = statu;
				}
			});
			this.data.bodyData = bodyData;
		};
		Playwin.prototype.getBodyData = function(entityId) {
			var this$1 = this;

			request({
				url: "/topics/course/" + entityId + "/1",
				values: {
					pageSize: 100
				}
			})
				.then(function(res1) {
					// console.log(JSON.stringify(res1));
					res1.result.forEach(function(v, i) {
						v.sel = i === this$1.data.playindex ? true : false;
					});
					this$1.data.bodyData = res1.result;
				})
				.catch(function(err) {
					console.log(JSON.stringify(err));
				});
		};
		Playwin.prototype.getVideoPath = function(videoId, list_id) {
			var this$1 = this;
			// 获取播放地址
			request({
				url: "/user/video/v2/" + videoId,
				values: {
					apk_type: myParam.apkType
				}
			}).then(function(res) {
				// console.log(JSON.stringify(res));
				if (!res.qcloud_video_url_05 && !res.qcloud_video_url_01) {
					return api.alert({msg: "未查出数据"});
				}
				this$1.fnvideoPlayerPlay(res.qcloud_video_url_05, res.source_video_name);
			});
		};
		Playwin.prototype.fnvideoPlayerPlay = function(videoURL, videoName) {
			var this$1 = this;

			videoPlayer.openPlay(
				{
					rect: {
						x: 0,
						y: 0,
						w: api.winWidth,
						h: 250
					},

					texts: {
						head: {
							title: "视频"
						}
					},

					styles: {
						head: {
							bg: "rgba(0.5,0.5,0.5,0.7)",
							height: 44,
							y: 0,
							titleSize: 20,
							titleColor: "#fff",
							backSize: 30,
							backImg: "widget://image/videoPlayer/back.png",
							backLeftMargin: 10,
							customButtons: []
						},

						foot: {
							bg: "rgba(0.5,0.5,0.5,0.7)",
							height: 44,
							playSize: 30,
							playImg: "widget://image/videoPlayer/play.png",
							pauseImg: "widget://image/videoPlayer/pause.png",
							timeSize: 14,
							timeColor: "#fff",
							sliderImg: "fs://img/slder.png",
							progressColor: "#696969",
							progressSelected: "#76EE00",
							rotationSize: 30,
							verticalImg: "widget://image/videoPlayer/fullscreen.png",
							horizontalImg: "widget://image/videoPlayer/unfullscreen.png",
							lockImg: "",
							unlockImg: ""
						}
					},

					path: videoURL, //（可选项）字符串类型；文档的路径，支持网络和本地（fs://）路径；默认：未传值时不播放
					//在 android 平台上不支持 widget://
					autoPlay: true //（可选项）布尔类型；打开时是否自动播放；默认：true（自动播放）
				},
				function(ret, err) {
					// console.log(JSON.stringify(ret));
					if (ret) {
						// 由于事件过于频繁，故this.data.eventType在每条判断上加
						if (ret.status === false) {
							return api.alert({msg: "暂无数据"});
						}
						this$1.data.eventType = ret.eventType;
						if (ret.eventType === "back") {
							videoPlayer.close();
							api.closeWin();
						} else if (ret.eventType === "pause") {
							var ref = this$1.data;
							var playindex$1 = ref.playindex;
							this$1.commonFn(playindex$1, false);
							this$1.data.eventType = ret.eventType;
						} else if (ret.eventType === "play") {
							var ref$1 = this$1.data;
							var playindex$2 = ref$1.playindex;
							this$1.commonFn(playindex$2, true);
							this$1.data.eventType = ret.eventType;
						} else if (ret.eventType === "finish") {
							this$1.commonFn(playindex, false);
							this$1.data.eventType = ret.eventType;
						}
					}
				}
			);
			// videoPlayer.play({
			//     texts : {
			//         head : {
			//             title : "视频" //视频名称
			//         }
			//     },
			//     styles : {//播放默认样式效果
			//         head : {
			//             bg : 'rgba(0,0,0,0.7)',
			//             height : 44,
			//             titleSize : 20,
			//             titleColor : '#fff',
			//             backSize : 30,
			//             backImg : 'widget://image/videoPlayer/back.png',
			//             setSize : 0,
			//             setImg : 'widget://image/videoPlayer/more.png'
			//         },
			//         foot : {
			//             bg : 'rgba(0,0,0,0.7)',
			//             height : 44,
			//             playSize : 30,
			//             playImg : 'widget://image/videoPlayer/play.png',
			//             pauseImg : 'widget://image/videoPlayer/pause.png',
			//             nextSize : 0,
			//             nextImg : '',
			//             timeSize : 14,
			//             timeColor : '#fff',
			//             sliderImg : '',
			//             progressColor : '#696969',
			//             progressSelected : '#1296db',
			//             verticalImg : "widget://image/videoPlayer/fullscreen.png",
			//             horizontalImg : "widget://image/videoPlayer/unfullscreen.png"
			//         }
			//     },
			//     path : videoURL, //播放地址
			//     autoPlay : true, //是否自动播放
			//     isFull: false // 是否全屏
			// }, (ret, err)=>{
			//     if (ret) {
			//         if (ret.eventType == 'back') {//返回
			//             this.backWin(videoPlayer);
			//         } else if (ret.eventType == 'failed') {
			//             api.alert('播放失败');
			//             this.backWin(videoPlayer);
			//         }
			//     } else {
			//         //alert(JSON.stringify(err));
			//     }
			// });
		};
		Playwin.prototype.addUserPlayLog = function(list_id, entityId) {
			request({
				url: "/logs/playLogs",
				values: {
					u_code: api.getGlobalData({key: "uCode"}),
					list_id: list_id,
					apk_type: myParam.apkType
				}
			}).then(function(res) {
				// console.log(JSON.stringify(res));
			});
		};
		Playwin.prototype.backWin = function(videoPlayer) {
			videoPlayer.pause();
			api.sendEvent({
				name: "landLeft"
			});

			api.closeWin();
		};
		Playwin.prototype.render = function() {
			var this$1 = this;
			return apivm.h(
				"safe-area",
				{class: "page"},
				apivm.h(
					"view",
					{class: "content"},
					apivm.h("view", {class: "win"}),
					apivm.h(
						"scroll-view",
						{
							class: "videoList",
							style: this.data.curSystem == "android" ? "margin-top:12.5%" : ""
						},
						(Array.isArray(this.data.bodyData)
							? this.data.bodyData
							: Object.values(this.data.bodyData)
						).map(function(v, i) {
							return apivm.h(
								"view",
								{
									class: "videoItem " + (v.sel ? "active" : ""),
									onclick: function(event) {
										if (this$1.selCourse) {
											this$1.selCourse(event);
										} else {
											selCourse(event);
										}
									},
									"data-curIndex": i,
									"data-videoid": v.sourceid,
									"data-list_id": v.id,
									"data-is_free": v.is_free
								},
								apivm.h("text", {class: "vText"}, v.title),
								apivm.h("image", {
									class: "vctr",
									mode: "widthFix",
									src: "../../image/videoPlayer/" + (v.sel ? "pause" : "play") + ".png"
								})
							);
						})
					)
				)
			);
		};

		return Playwin;
	})(Component);
	Playwin.css = {
		".page": {
			width: "100%",
			height: "100%",
			justifyContent: "center",
			backgroundColor: "#ddd"
		},
		".content": {width: "100%", height: "100%"},
		".win": {height: "270px", flexShrink: "0"},
		".videoList": {
			width: "100%",
			height: "100%",
			boxSizing: "border-box",
			display: "flex",
			flexDirection: "column",
			alignItems: "center"
		},
		".videoItem": {
			width: "90%",
			height: "60px",
			margin: "2% auto",
			backgroundColor: "#fff",
			borderRadius: "10px",
			padding: "0 4%",
			boxSizing: "border-box",
			display: "flex",
			flexDirection: "row",
			alignItems: "center",
			justifyContent: "space-between",
			flexShrink: "0",
			boxShadow: "0 0 15px #ccc",
			border: "1px solid #ccc"
		},
		".vText": {width: "70%", textOverflow: "ellipsis", overflow: "hidden"},
		".vctr": {height: "50%"},
		".active": {border: "1px solid #ff1536", boxShadow: "0 0 15px #ff1536"}
	};
	apivm.define("playWin", Playwin);
	apivm.render(apivm.h("playWin", null), "body");
})();
